Bug 978890 - Threaddump doesn't work well for scalable jboss and ruby application
Threaddump doesn't work well for scalable jboss and ruby application
Status: CLOSED DEFERRED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On: 974933
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 05:27 EDT by Gaoyun Pei
Modified: 2013-08-15 10:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: For a Ruby scaled application, the threaddump operation is not enabled. For a JBoss scaled application, the directions indicate only how to see the thread dump on the primary gear. Consequence: The user cannot (or cannot easily) retrieve thread dumps for all gears in a multi-gear application. Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-15 10:25:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-06-27 05:27:51 EDT
Description of problem:
For scalable jbosseap-6.0/jbossews-2.0 app, when rhc threaddump the app, would get duplicate threaddump message when the app have more than one gear.

For scalable ruby-1.8/ruby-1.9 app, if it has more than one gears, would be told "The threaddump command is not supported on scalable applications"

Version-Release number of selected component (if applicable):
http://download.lab.bos.redhat.com/rel-eng/OpenShiftEnterprise/1.2/2013-06-26.3/


How reproducible:
Always

Steps to Reproduce:
1.Create a scalable jbossews-2.0 app named "app6", do threaddump

[root@dhcp-8-133 workspace]# rhc threaddump app6
Success
The thread dump file will be available via: rhc tail app6 -f */logs/catalina.out -o '-n 250'


2.Scale-up this app, and do threaddump

[root@dhcp-8-133 workspace]# rhc threaddump app6
Success
The thread dump file will be available via: rhc tail app6 -f */logs/catalina.out -o '-n 250'
Success
The thread dump file will be available via: rhc tail app6 -f */logs/catalina.out -o '-n 250'



3. Create a scalable ruby-1.8 app named ruby18s ,visit it and do threaddump

[root@dhcp-8-133 workspace]# rhc threaddump ruby18s
Success
The thread dump file will be available via: rhc tail ruby18s -f /var/lib/openshift/51cbf9690759864b250000bd/ruby//logs//error_log-20130627-* -o '-n 250'


4. Scale-up this app twice, and do threaddump

[root@dhcp-8-133 workspace]# rhc threaddump ruby18s
The threaddump command is not supported on scalable applications.
The threaddump command is not supported on scalable applications.


Actual results:

Expected results:
We should keep consistent when dealing with scalable jboss/ruby apps, and give a correct prompt just like what the comment said in  https://bugzilla.redhat.com/show_bug.cgi?id=974933

Additional info:
Comment 2 Luke Meyer 2013-06-27 12:15:49 EDT
Agree we'd like this to work better; not going to happen for the 1.2 release.
Comment 3 Brenton Leanhardt 2013-08-15 10:25:36 EDT
We'll pick this up during the next rebase (provided it's fixed upstream).

Note You need to log in before you can comment on or make changes to this bug.